Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.mycarenet.commons.core.v4
Class BlobType

    java.lang.Object
      be.fgov.ehealth.mycarenet.commons.core.v4.BlobType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2024-09-05T10:52:18+02:00",
               comments="JAXB RI v2.3.6")
    public class BlobType

extends Object
implements Serializable

Used to transfer (large) binary objects. A Binary Large Object with technical metadata. Can contain large abound of binary data, which can be transported via MTOM/XOP when used in web services. It contains attributes/fields that provide technical data. The content/value contains the binary data, first compressed via deflate and then base 64 encoded.

Java class for BlobType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="BlobType">
       <simpleContent>
         <extension base="<http://www.w3.org/2001/XMLSchema>base64Binary">
           <attribute name="ContentType" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="ContentEncoding" type="{http://www.w3.org/2001/XMLSchema}string" default="deflate" />
           <attribute name="ContentEncryption" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="Etk" type="{http://www.w3.org/2001/XMLSchema}base64Binary" />
           <attribute name="HashValue" type="{http://www.w3.org/2001/XMLSchema}base64Binary" />
           <attribute name="Id" type="{http://www.w3.org/2001/XMLSchema}NCName" />
           <attribute name="Reference" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="Issuer" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
           <attribute name="MessageVersion" type="{http://www.w3.org/2001/XMLSchema}string" />
         </extension>
       </simpleContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`BlobType()`

Method Summary
`String` | `getContentEncoding()` Gets the value of the contentEncoding property.
`String` | `getContentEncryption()` Gets the value of the contentEncryption property.
`String` | `getContentType()` Gets the value of the contentType property.
`byte[]` | `getEtk()` Gets the value of the etk property.
`byte[]` | `getHashValue()` Gets the value of the hashValue property.
`String` | `getId()` Gets the value of the id property.
`String` | `getIssuer()` Gets the value of the issuer property.
`String` | `getMessageVersion()` Gets the value of the messageVersion property.
`String` | `getReference()` Gets the value of the reference property.
`byte[]` | `getValue()` Gets the value of the value property.
`void` | `setContentEncoding(String value)` Sets the value of the contentEncoding property.
`void` | `setContentEncryption(String value)` Sets the value of the contentEncryption property.
`void` | `setContentType(String value)` Sets the value of the contentType property.
`void` | `setEtk(byte[] value)` Sets the value of the etk property.
`void` | `setHashValue(byte[] value)` Sets the value of the hashValue property.
`void` | `setId(String value)` Sets the value of the id property.
`void` | `setIssuer(String value)` Sets the value of the issuer property.
`void` | `setMessageVersion(String value)` Sets the value of the messageVersion property.
`void` | `setReference(String value)` Sets the value of the reference property.
`void` | `setValue(byte[] value)` Sets the value of the value property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BlobType

    public BlobType()

Method Detail

### getValue

    public byte[] getValue()

  Gets the value of the value property.

  Returns:
    possible object is byte[]

### setValue

    public void setValue(byte[] value)

  Sets the value of the value property.

  Parameters:
    `value` - allowed object is byte[]

### getContentType

    public String getContentType()

  Gets the value of the contentType property.

  Returns:
    possible object is `String`

### setContentType

    public void setContentType(String value)

  Sets the value of the contentType property.

  Parameters:
    `value` - allowed object is `String`

### getContentEncoding

    public String getContentEncoding()

  Gets the value of the contentEncoding property.

  Returns:
    possible object is `String`

### setContentEncoding

    public void setContentEncoding(String value)

  Sets the value of the contentEncoding property.

  Parameters:
    `value` - allowed object is `String`

### getContentEncryption

    public String getContentEncryption()

  Gets the value of the contentEncryption property.

  Returns:
    possible object is `String`

### setContentEncryption

    public void setContentEncryption(String value)

  Sets the value of the contentEncryption property.

  Parameters:
    `value` - allowed object is `String`

### getEtk

    public byte[] getEtk()

  Gets the value of the etk property.

  Returns:
    possible object is byte[]

### setEtk

    public void setEtk(byte[] value)

  Sets the value of the etk property.

  Parameters:
    `value` - allowed object is byte[]

### getHashValue

    public byte[] getHashValue()

  Gets the value of the hashValue property.

  Returns:
    possible object is byte[]

### setHashValue

    public void setHashValue(byte[] value)

  Sets the value of the hashValue property.

  Parameters:
    `value` - allowed object is byte[]

### getId

    public String getId()

  Gets the value of the id property.

  Returns:
    possible object is `String`

### setId

    public void setId(String value)

  Sets the value of the id property.

  Parameters:
    `value` - allowed object is `String`

### getReference

    public String getReference()

  Gets the value of the reference property.

  Returns:
    possible object is `String`

### setReference

    public void setReference(String value)

  Sets the value of the reference property.

  Parameters:
    `value` - allowed object is `String`

### getIssuer

    public String getIssuer()

  Gets the value of the issuer property.

  Returns:
    possible object is `String`

### setIssuer

    public void setIssuer(String value)

  Sets the value of the issuer property.

  Parameters:
    `value` - allowed object is `String`

### getMessageVersion

    public String getMessageVersion()

  Gets the value of the messageVersion property.

  Returns:
    possible object is `String`

### setMessageVersion

    public void setMessageVersion(String value)

  Sets the value of the messageVersion property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.27.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.